import React, {Component, Fragment} from 'react'
import {Form, Input, Select, Row, Col, Button, notification, DatePicker,Table,Card} from 'antd'
import {formItemLayout, formSubBtnLayout} from '../../../../config'

import fieldSet from '../descriptor/fetopn'

import Api from '../../../../service/api'

const FormItem = Form.Item
const FromCreate = Form.create;
const {Option} = Select;
const Search = Input.Search;
const InputGroup = Input.Group;

@FromCreate()
export default class Fetopn extends Component {

    constructor(props) {
        super(props)
        this.state = {loading: false}
    }

    curSumCols = [
        {
            title:'币种',
            key:'cur',
            dataIndex:'cur'
        },
        {
            title:'合计金额',
            key:'amt',
            dataIndex:'amt'
        }
    ]
    sxfDetailCols=[
        {
            title:'承担方',
            key:'rol',
        },
        {
            title:'费用名称',
            key:'feecod',
            
        },
        {
            title:'所属业务号',
            key:'efofscid'
        },
        {
            title:'币种',
            key:'cur',
        },
        {
            title:'应收金额',
            key:'beooramt',
        },
        {
            title:'实收金额',
            key:'amt',
        },
        {
            title:'收取类型',
            key:'dsp',
        },
        {
            title:'收费方式',
            key:'wrksrc'
        },
        {
            title:'明细',
            key:'det'
        }

    ]
    accDetailCols=[
        {
            key:'debcdtflg',
            title:'借贷方向',
        },
        {
            title:'原始币种',
            key:'cur',
        },
        {
            title:'原始金额',
            key:'fmtamt',
        },
        {
            title:'账户币种',
            key:'acccur',
        },
        {
            title:'账户金额',
            key:'fmtaccamt',
        },
        {
            title:'汇率',
            key:'rat',
        },
        {
            title:'账号',
            key:'act',
        },
        {
            title:'账户性质',
            key:'cortyp',
        },
        {
            title:'余额查询',
            key:'cprbut',
        },
        {
            title:'明细',
            key:'det',
        },
    ]
    handleSubmit = (e) => {
        this.props.store.next()
        e.preventDefault();
        this.props.form.validateFieldsAndScroll(async (err, values) => {
            console.log(err)
            if (!err) {
                console.log('Received values of form: ', values);
                this.setState({loading: true})

            }
        });
    }

    async componentWillMount() {
        // //发起交易切换
        // const data = await Api.post('pxiadd/init',{data:{}})
        // console.log(data)
    }

    render() {
        const {getFieldDecorator} = this.props.form;
       
        return (
            <Fragment>
                    <Card title="手续费明细">
                    <Table columns={this.sxfDetailCols} size="small" bordered={true} />
                    </Card>
                    <Card title="各收费币种合计" style={{marginTop:'2em'}}>
                    <Table columns={this.curSumCols} size="small" bordered={true} />
                    </Card>
                    <Card title="账户明细"  style={{marginTop:'2em'}}>
                    <Table columns={this.accDetailCols} size="small" bordered={true} />
                    </Card>
                    <FormItem {...formSubBtnLayout}>
                        <Button icon="arrow-left" onClick={()=>this.props.store.prevous()}>上一步</Button>
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        <Button icon="arrow-right" type="primary" onClick={()=>this.props.store.next()} >下一步</Button>
                    </FormItem>
                
            </Fragment>
        )
    }

} 